%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:       engrampa
Version:    1.18.2
Release:    %mkrel 1
Summary:    An archive manager for MATE Desktop
Group:      Archiving/Compression
License:    GPLv2+ and LGPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: itstool
BuildRequires: chrpath
BuildRequires: mate-common >= 1.17.0
BuildRequires: xsltproc
BuildRequires: magic-devel
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.25.5
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gnome-doc-utils)
BuildRequires: pkgconfig(libcaja-extension) >= 1.17.1
BuildRequires: pkgconfig(json-glib-1.0) >= 0.14.0
BuildRequires: yelp-tools

%rename mate-file-archiver

Recommends:    cdrecord-isotools
# for the gsettings schema
Requires: caja-schemas
Obsoletes: %{name} < 1.16.0

%description
Engrampa (Mate file archiver tool) is an archive manager
for the MATE environment. This means that you can :
create and modify archives; view the content of an archive;
view a file contained in the archive; extract files from the archive.
Engrampa is only a front-end (a graphical interface)
to archiving programs like tar and zip.
The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
          * lzma (.tar.lzma , .tlz)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress,
    lzop, lzma
    * ISO images


%prep
%autosetup

%build
%configure2_5x             \
   --disable-static        \
   --enable-magic          \
   --enable-packagekit     \
   --enable-caja-actions

%make_build

%install
%make_install

%find_lang %{oname} --with-gnome --with-help --all-name

find %{buildroot} -name *.la -delete

#gw rpmlint errors
chrpath -d %{buildroot}%{_bindir}/%{name}
chrpath -d %{buildroot}%{_libdir}/caja/*/*.so

%files -f %{oname}.lang
%doc README NEWS AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libexecdir}/engrampa-server
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_datadir}/appdata/engrampa.appdata.xml
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%{_datadir}/dbus-1/services/org.mate.Engrampa.service
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_libdir}/caja/extensions-2.0/libcaja-%{name}.so
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.2-1.mga6
+ Revision: 1102453
- Update to 1.18.2 version
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092615
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074724
- new version 1.16.0
- build with gtk3

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017848
- Update to 1.14.1 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001461
- Update to 1.14.0 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979314
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 949104
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898517
-Update to 1.12.0 version

* Tue Oct 06 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 886625
- new version 1.10.2

* Tue Sep 01 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 871963
- new version 1.10.1

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837923
- Update to 1.10.0 version

* Thu Nov 20 2014 tarakbumba <tarakbumba> 1.8.1-3.mga5
+ Revision: 797929
- Add cherrypicked patches from upstream

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 742137
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731814
- Update to 1.8.1 version

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 679009
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + wally <wally>
    - use versioned obsoletes

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600098
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598094
- Update to 1.7.x version
- imported package engrampa

